Index: /pjproject/trunk/aconfigure.ac
===================================================================
--- /pjproject/trunk/aconfigure.ac	(revision 725)
+++ /pjproject/trunk/aconfigure.ac	(revision 726)
@@ -1,3 +1,6 @@
 AC_INIT(pjproject,0.5.8)
+
+host_orig="$host"
+
 AC_CANONICAL_BUILD
 AC_CANONICAL_HOST
@@ -24,5 +27,4 @@
 
 CXXFLAGS="$CFLAGS $CXXFLAGS"
-
 
 AC_PROG_CC
@@ -447,5 +449,5 @@
     ac_cross_compile=
 else
-    ac_cross_compile=${host}-
+    ac_cross_compile=${host_orig}-
 fi
 AC_SUBST(ac_linux_poll,select)
Index: /pjproject/trunk/build.mak.in
===================================================================
--- /pjproject/trunk/build.mak.in	(revision 725)
+++ /pjproject/trunk/build.mak.in	(revision 726)
@@ -3,5 +3,5 @@
 export OS_NAME := auto
 export HOST_NAME := unix
-export CC_NAME := @CC@
+export CC_NAME := gcc
 export TARGET_NAME := @target@
 export CROSS_COMPILE := @ac_cross_compile@
